Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Class YIntervalDataItem

    java.lang.Object
      org.jfree.data.ComparableObjectItem
          org.jfree.data.xy.YIntervalDataItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class YIntervalDataItem

extends ComparableObjectItem

An item representing data in the form (x, y, y-low, y-high).

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`YIntervalDataItem(double x, double y, double yLow, double yHigh)` Creates a new instance of `YIntervalItem`.

Method Summary
`java.lang.Double` | `getX()` Returns the x-value.
`double` | `getYHighValue()` Returns the upper bound of the y-interval.
`double` | `getYLowValue()` Returns the lower bound of the y-interval.
`double` | `getYValue()` Returns the y-value.

Methods inherited from class org.jfree.data.ComparableObjectItem
`clone, compareTo, equals, getComparable, getObject, hashCode, setObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YIntervalDataItem

    public YIntervalDataItem(double x,
                             double y,
                             double yLow,
                             double yHigh)

  Creates a new instance of `YIntervalItem`.

  Parameters:
    `x` - the x-value.
    `y` - the y-value.
    `yLow` - the lower bound of the y-interval.
    `yHigh` - the upper bound of the y-interval.

Method Detail

### getX

    public java.lang.Double getX()

  Returns the x-value.

  Returns:
    The x-value (never `null`).

### getYValue

    public double getYValue()

  Returns the y-value.

  Returns:
    The y-value.

### getYLowValue

    public double getYLowValue()

  Returns the lower bound of the y-interval.

  Returns:
    The lower bound of the y-interval.

### getYHighValue

    public double getYHighValue()

  Returns the upper bound of the y-interval.

  Returns:
    The upper bound of the y-interval.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.